gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.EveryFilter

Contents

- Exported types
- Methods
  - new

Description

Matches an item when each of its filters matches.

To add filters to a `GtkEveryFilter`, use `multiFilterAppend`.

Synopsis

- newtype EveryFilter = EveryFilter (ManagedPtr EveryFilter)
- class (GObject o, IsDescendantOf EveryFilter o) => IsEveryFilter o
- toEveryFilter :: (MonadIO m, IsEveryFilter o) => o -> m EveryFilter
- everyFilterNew :: (HasCallStack, MonadIO m) => m EveryFilter

# Exported types

newtype EveryFilter Source #

Memory-managed wrapper type.

Constructors

EveryFilter (ManagedPtr EveryFilter) |

#### Instances

Instances details

Eq EveryFilter Source # |
Instance details Defined in GI.Gtk.Objects.EveryFilter Methods (==) :: EveryFilter -> EveryFilter -> Bool Source # (/=) :: EveryFilter -> EveryFilter -> Bool Source #
GObject EveryFilter Source # |
Instance details Defined in GI.Gtk.Objects.EveryFilter
ManagedPtrNewtype EveryFilter Source # |
Instance details Defined in GI.Gtk.Objects.EveryFilter Methods toManagedPtr :: EveryFilter -> ManagedPtr EveryFilter Source #
TypedObject EveryFilter Source # |
Instance details Defined in GI.Gtk.Objects.EveryFilter Methods glibType :: IO GType Source #
HasParentTypes EveryFilter Source # |
Instance details Defined in GI.Gtk.Objects.EveryFilter
IsGValue (Maybe EveryFilter) Source # | Convert `EveryFilter` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.EveryFilter Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe EveryFilter -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe EveryFilter) Source #
type ParentTypes EveryFilter Source # |
Instance details Defined in GI.Gtk.Objects.EveryFilter type ParentTypes EveryFilter = '[MultiFilter, Filter, Object, ListModel, Buildable]

class (GObject o, IsDescendantOf EveryFilter o) => IsEveryFilter o Source #

Type class for types which can be safely cast to `EveryFilter`, for instance with `toEveryFilter`.

#### Instances

Instances details

(GObject o, IsDescendantOf EveryFilter o) => IsEveryFilter o Source # |
Instance details Defined in GI.Gtk.Objects.EveryFilter

toEveryFilter :: (MonadIO m, IsEveryFilter o) => o -> m EveryFilter Source #

Cast to `EveryFilter`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

append, bindProperty, bindPropertyFull, changed, forceFloating, freezeNotify, getv, isFloating, itemsChanged, match, notify, notifyByPspec, ref, refSink, remove, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getBuildableId, getData, getItem, getItemType, getNItems, getProperty, getQdata, getStrictness.

#### Setters

setData, setDataFull, setProperty.

## new

everyFilterNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m EveryFilter | Returns: a new `GtkEveryFilter`

Creates a new empty "every" filter.

Use `multiFilterAppend` to add filters to it.

This filter matches an item if each of the filters added to it matches the item. In particular, this means that if no filter has been added to it, the filter matches every item.